use nlsw88, clear

gen ttl_exp2 = ttl_exp^2
gen hours2 = hours^2

egen cat1 = cut(wage), at(0, 3, 4, 6, 10, 45)
gen cat2 = cat1
recode cat2 ( 0 = 3  ) ///
            ( 3 = 4  ) ///
            ( 4 = 6  ) ///
            ( 6 = 10 ) ///
            (10 = .  ) 
recode cat1 0 = .
gen mid = cat1
recode mid ( . =  1.5 ) ///
           ( 3 =  3.5 ) ///
           ( 4 =  5   ) ///
           ( 6 =  8   ) ///
           (10 = 20   )

gen ln_wage = ln(wage)
replace cat1 = ln(cat1)
replace cat2 = ln(cat2)
replace mid = ln(mid) 

save "nlsw882", replace



